## Rhizophagus irregularis

Barley control and mutant seeds were sterilized and germinated as described previously (Mahdi et al., 2022). Germinated seedlings were transferred to 9 × 9 cm pots containing autoclaved 1:1 silica sand:vermiculite mixture inoculated with 700 mg *R. irregularis* spore inoculum (10,000 spores·g-1 moist diatomaceous earth powder [50% water]) (Symplanta, Darmstadt, Germany). Approximately 500 mg of the inoculum was evenly mixed into the lower two-third substrate layer, further 200 mg were evenly sprinkled into a hole in the upper third of the substrate layer, into which the seedlings were transplanted. The seedlings were grown in the greenhouse and watered weekly with 30 mL of deionized water and tap water in a 1:1 ratio. Roots were harvested at 28 dpi and stored in 50% EtOH at 4 °C until staining.

## Staining

Roots were stained according to a previously published protocol (Vierheilig et al., 1998). Briefly, roots were incubated for 15 min at 95 °C in 10% KOH, washed with 10% acetic acid and incubated for 5 min at 95 °C with a staining solution of 5% ink (Pelikan, Falkensee, Germany) in 5% acetic acid. After staining, the roots were carefully washed with tap water, then incubated in 5% acetic acid at 4 °C for at least 20 min. The ink-stained root tissue was cut into 1 cm segments with a scalpel and 30 segments of similar diameter were randomly selected from each genotype. Cross-section points were determined from 10 random cuts per root segment. Ink-stained *R. irregularis* structures such as intraradical hyphae (IRH), extraradical hyphae (ERH), arbuscules and vesicles were visualized with a light microscope (AxioStar, Carl Zeiss, Jena, Germany) at 10× magnification. Colonization with R. irregularis was scored as positive if IRH, arbuscules or vesicles were present. The roots of four biological replicates per genotype were examined.